

/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer: ...
*/

#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_NULL_PARENT

#include "null_parent.h"

using namespace std;

NullParent* NullParent::singletonRef = 0;

NullParent* NullParent::getInstance ()
{
  if(!NullParent::singletonRef)
    NullParent::singletonRef = new NullParent ();
  return NullParent::singletonRef;
}

NullParent::NullParent (const Vector& absCoordinate) : PNode (absCoordinate, NULL)
{
  this->setName("NullParent");
  this->setClassID(CL_NULL_PARENT, "NullParent");
  NullParent::singletonRef = this;
  this->setParentMode(PNODE_ALL);
}


/**
   \brief standard deconstructor

   \todo this deconstructor is not jet implemented - do it
*/
NullParent::~NullParent () 
{
  //delete singletonRef;
  singletonRef = NULL;
}
